Bug 1271852 - [RFE][nova]: Huge Pages per guest NUMA nodes
[RFE][nova]: Huge Pages per guest NUMA nodes
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity unspecified
: ga
: 11.0 (Ocata)
Assigned To: Sahid Ferdjaoui
nlevinki
https://blueprints.launchpad.net/nova...
upstream_milestone_next upstream_defi...
: FutureFeature, Reopened, Triaged
Depends On:
Blocks: 1341176 1414580
  Show dependency treegraph
 
Reported: 2015-10-14 17:33 EDT by Stephen Gordon
Modified: 2017-01-18 16:24 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-23 08:12:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 374856 None None None 2016-09-28 11:02 EDT

  None (edit)
Description Stephen Gordon 2015-10-14 17:33:37 EDT
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/virt-hugepages-per-guest-numa-nodes.

Description:

The current huge Pages implementation build on top of NUMA takes advantage of memory placement to specify an amount of memory used on each NUMA nodes of guest.

This blueprint aim to improve that placement to make possible configuring different pagesize per guest NUMA nodes.

NUMA topologu will be enhanced with new attribute hw:numa_pagesize.N with N as an identify of guest NUMA node.

  hw:numa_pagesize.0 = large
  hw:numa_pagesize.1 = any

For a topology with several NUMA nodes it will be possible to set only page size of the desired node. Nodes without a specific page size will be considered to use default and smallest page size.

  hw:numa_nodes=2
  hw:numa_pagesize.1=large

This example means that a guest will be configured with topology of 2 NUMA nodes and node identified 1 will have memory page size backed to large.
  

  

Specification URL (additional information):

None
Comment 11 Sahid Ferdjaoui 2016-09-28 11:02:07 EDT
Added the nova spec as reference.

Note You need to log in before you can comment on or make changes to this bug.